Subject: Re: SOLUTION: Exception: STATUS_ACCESS_VIOLATION on background execution
From: [email-masked] (Bill Stewart)

13 Oct 1998 09:30:09 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked], [email-masked]

Earnie,

Thanks for your reply.  I was able to fix the problem by specifying the command interpreter, i.e., #!/bin/bash as the first line of the script.

Now bash won't run any more than 64 background processes, but I can live with this.  I'm performing stress testing and I need to run lots of invocations of a program.

Bill Stewart 
--

On Tue, 6 Oct 1998 04:53:20    Earnie Boyd wrote:
>Hi Bill,
>
>Suggestion (Don't know if it will solve your problem):
>
>  MSDOS: SET CYGWIN32=notty nobinmode notitle
>
>
>
>
>---Bill Stewart <[email-masked]> wrote:
>>
>> Hi,
>> 
>> I'm running beta 19.1, bash 2.01 on an NT 4.0 system.  When I create
>a shell script to run a Visual Basic command in the background
>repeatedly, only four instances of the program are started and the
>following stream of errors are listed on the console:
>> 
>> <... sh.exe 1102> Exception: STATUS_ACCESS_VIOLATION
>> <    sh.exe 1103> Dimping stack trace to sh.exe.core
>> <    sh.exe 1103> Exception trapped!
>> <    sh.exe 1103> exception C0000005 at 1004BC08
>> 
>> and a long list of stack frame traces.  The shell script runs OK if
>it invokes a single instance of the VB program in the foreground.  Any
>help is greatly appreciated.
>> 
>> --
>> Thanks,
>> Bill Stewart 
>> 
>> -----
>> Free e-mail group hosting at http://www.eGroups.com/
>> -
>> For help on using this list (especially unsubscribing), send a
>message to
>> "[email-masked]" with one line of text: "help".
>> 
>
>==
>-                \\||//
>-----------o0O0--Earnie--0O0o------------
>--        [email-masked]        --
>-- http://freeyellow.com/members5/gw32 --
>--------------ooo0O--O0ooo---------------
>
>PS: Newbie's, you should visit my page.
>_________________________________________________________
>DO YOU YAHOO!?
>Get your free @yahoo.com address at http://mail.yahoo.com
>
>

-----== Sent via Deja News, The Discussion Network ==-----
http://www.dejanews.com/  Easy access to 50,000+ discussion forums
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".